package com.gic.haoban.manage.service.entity;

import java.util.Date;
import java.io.Serializable;

/**
 * (TabHaobanRenewalUser)实体类
 *
 * @author makejava
 * @since 2023-06-08 15:11:49
 */
public class TabHaobanRenewalUser implements Serializable {
    private static final long serialVersionUID = -16922328852683963L;
    /**
     * id
     */
    private Long renewalId;
    /**
     * wx企业Id
     */
    private String wxEnterpriseId;
    /**
     * 微信userId
     */
    private String wxUserId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 电话
     */
    private String phone;
    /**
     * 名称
     */
    private String name;
    /**
     * 职位
     */
    private String postion;
    /**
     * 续期是否合法 0 否 1是
     */
    private Integer invalidFlag;
    /**
     * 不合法错误码
     */
    private String invalidCode;
    /**
     * 不合法错误描述
     */
    private String invalidMsg;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 逻辑删除，0未删除，1删除
     */
    private Integer deleteFlag;


    public Long getRenewalId() {
        return renewalId;
    }

    public void setRenewalId(Long renewalId) {
        this.renewalId = renewalId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPostion() {
        return postion;
    }

    public void setPostion(String postion) {
        this.postion = postion;
    }

    public Integer getInvalidFlag() {
        return invalidFlag;
    }

    public void setInvalidFlag(Integer invalidFlag) {
        this.invalidFlag = invalidFlag;
    }

    public String getInvalidCode() {
        return invalidCode;
    }

    public void setInvalidCode(String invalidCode) {
        this.invalidCode = invalidCode;
    }

    public String getInvalidMsg() {
        return invalidMsg;
    }

    public void setInvalidMsg(String invalidMsg) {
        this.invalidMsg = invalidMsg;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

}

